Thursday, January 20, 2011

Ipod Touch Lockdown Error (-5) on Linux Mint Debian

I was getting a lockdown (-5) error every time I tried to connect my iPod to my Linux Mint Debian Edition.

PARTLY FIXED:
The answer was apparently somewhere in the addition of this Ubuntu PPA. I had most, but not all of the packages.

I ran the instructions, then ran a regular mint updated, and suddenly my iPod was recognized. Sort of. I can drag and drop music in and out of my iPod, but not play, or even be recognized through Banshee, Rhythmbox or GTKPod.

http://forums.linuxmint.com/viewtopic.php?f=141&t=63467&p=366934#p366934

[Update: http://grcomputerworks.blogspot.com/2011/01/ipod-or-iphone-wont-mount-in-linux.html]

1 comment:

billcreswell said...

Update: iOS 4.2.1 support was added in November to libimobiledevice 1.04.

http://grcomputerworks.blogspot.com/2011/01/ipod-or-iphone-wont-mount-in-linux.html